import type { IRpcApiMethods } from '@solana/rpc-transport';
import { Slot } from './common.js';
type GetHighestSnapshotSlotApiResponse = Readonly<{
    full: Slot;
    incremental: Slot | null;
}>;
export interface GetHighestSnapshotSlotApi extends IRpcApiMethods {
    /**
     * Returns the highest slot information that the node has snapshots for.
     *
     * This will find the highest full snapshot slot, and the highest
     * incremental snapshot slot based on the full snapshot slot, if there
     * is one.
     */
    getHighestSnapshotSlot(NO_CONFIG?: Record<string, never>): GetHighestSnapshotSlotApiResponse;
}
export {};
//# sourceMappingURL=getHighestSnapshotSlot.d.ts.map